Page MenuHomePhabricator

Do not apply rounding when formatting Quantities (unless unit conversion was applied)
Closed, InvalidPublic

Description

Quantity values should be shown as entered, unless arithmetics was used that makes rounding necessary to remove spurious digits introduced by conversion factors.

Event Timeline

daniel created this task.Nov 2 2015, 6:51 PM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel added subscribers: jeblad, DixonD, Darkdadaah and 19 others.

Decision made in today's story time: We should not do rounding on Wikidata. Only do rounding after conversion. And when applying rounding never show the precision.

daniel raised the priority of this task from High to Unbreak Now!.Jun 29 2016, 8:24 AM

Bumping this to UN priority, because it causes data loss. Unless I'm very confused, we can easily do this NOW, without the full solution discussed in T105623: [Task] Investigate quantification of quantity precision (+/- 1 or +/- 0.5). All that needs to be done is to disable rounding when calling the plain text formatter for filling the text field for editing.

Why did this drop off so many sprints? Is there a hidden blocker or complication?

Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 29 2016, 8:24 AM
daniel lowered the priority of this task from Unbreak Now! to High.Jun 29 2016, 5:54 PM

Reverting myself wrt "unbreak now". Seems I got myself confused. There is no data loss issue. We do not apply rounding for the plain text value we fill into the text box for editing.

This should still be done with high prio. The change is really trivial. Just don't apply rounding for now, until we have unit conversion.

Lydia_Pintscher closed this task as Invalid.Jan 24 2019, 2:48 PM

Closing this to remove tasks from the board that havn't gotten any attention in a long time.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 24 2019, 2:48 PM
Urbanecm removed a subscriber: Urbanecm.Jan 24 2019, 5:29 PM